public static interface GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder
extends org.apache.camel.builder.EndpointConsumerBuilder
| Modifier and Type | Method and Description |
|---|---|
default GridFsEndpointBuilderFactory.AdvancedGridFsEndpointConsumerBuilder |
advanced() |
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
bridgeErrorHandler(boolean bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
bridgeErrorHandler(String bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
bucket(String bucket)
Sets the name of the GridFS bucket within the database.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
database(String database)
Sets the name of the MongoDB database to target.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
delay(long delay)
Sets the delay between polls within the Consumer.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
delay(String delay)
Sets the delay between polls within the Consumer.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
fileAttributeName(String fileAttributeName)
If the QueryType uses a FileAttribute, this sets the name of the
attribute that is used.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
initialDelay(long initialDelay)
Sets the initialDelay before the consumer will start polling.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
initialDelay(String initialDelay)
Sets the initialDelay before the consumer will start polling.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
persistentTSCollection(String persistentTSCollection)
If the QueryType uses a persistent timestamp, this sets the name of
the collection within the DB to store the timestamp.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
persistentTSObject(String persistentTSObject)
If the QueryType uses a persistent timestamp, this is the ID of the
object in the collection to store the timestamp.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
query(String query)
Additional query parameters (in JSON) that are used to configure the
query used for finding files in the GridFsConsumer.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
queryStrategy(GridFsEndpointBuilderFactory.QueryStrategy queryStrategy)
Sets the QueryStrategy that is used for polling for new files.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
queryStrategy(String queryStrategy)
Sets the QueryStrategy that is used for polling for new files.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
readPreference(Object readPreference)
Sets a MongoDB ReadPreference on the Mongo connection.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
readPreference(String readPreference)
Sets a MongoDB ReadPreference on the Mongo connection.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
writeConcern(Object writeConcern)
Set the WriteConcern for write operations on MongoDB using the
standard ones.
|
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder |
writeConcern(String writeConcern)
Set the WriteConcern for write operations on MongoDB using the
standard ones.
|
default GridFsEndpointBuilderFactory.AdvancedGridFsEndpointConsumerBuilder advanced()
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder bucket(String bucket)
bucket - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder database(String database)
database - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder readPreference(Object readPreference)
readPreference - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder readPreference(String readPreference)
readPreference - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder writeConcern(Object writeConcern)
writeConcern - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder writeConcern(String writeConcern)
writeConcern - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder bridgeErrorHandler(boolean bridgeErrorHandler)
bridgeErrorHandler - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder bridgeErrorHandler(String bridgeErrorHandler)
bridgeErrorHandler - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder delay(long delay)
delay - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder delay(String delay)
delay - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder fileAttributeName(String fileAttributeName)
fileAttributeName - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder initialDelay(long initialDelay)
initialDelay - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder initialDelay(String initialDelay)
initialDelay - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder persistentTSCollection(String persistentTSCollection)
persistentTSCollection - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder persistentTSObject(String persistentTSObject)
persistentTSObject - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder query(String query)
query - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder queryStrategy(GridFsEndpointBuilderFactory.QueryStrategy queryStrategy)
queryStrategy - the value to setdefault GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder queryStrategy(String queryStrategy)
queryStrategy - the value to setApache Camel